diff --git a/addons/cdr_mysql.c b/addons/cdr_mysql.c
index 4fb3ce5..4621143 100644
--- a/addons/cdr_mysql.c
+++ b/addons/cdr_mysql.c
@@ -250,7 +250,7 @@ db_reconnect:
 					struct ast_tm tm;
 					char timestr[128];
 					ast_localtime(&tv, &tm, ast_str_strlen(cdrzone) ? ast_str_buffer(cdrzone) : NULL);
-					ast_strftime(timestr, sizeof(timestr), "%Y-%m-%d %T", &tm);
+					ast_strftime(timestr, sizeof(timestr), DATE_FORMAT, &tm);
 					value = ast_strdupa(timestr);
 					cdrname = "calldate";
 				} else {
@@ -265,8 +265,7 @@ db_reconnect:
 			/* Need the type and value to determine if we want the raw value or not */
 			if (entry->staticvalue) {
 				value = ast_strdupa(entry->staticvalue);
-			} else if ((!strcmp(cdrname, "start") ||
-				 !strcmp(cdrname, "answer") ||
+			} else if ((!strcmp(cdrname, "answer") ||
 				 !strcmp(cdrname, "end") ||
 				 !strcmp(cdrname, "disposition") ||
 				 !strcmp(cdrname, "amaflags")) &&
@@ -278,6 +277,12 @@ db_reconnect:
 				 strstr(entry->type, "numeric") ||
 				 strstr(entry->type, "fixed"))) {
 				ast_cdr_format_var(cdr, cdrname, &value, workspace, sizeof(workspace), 1);
+			} else if (!strcmp(cdrname, "start")) {
+				struct ast_tm tm;
+				char timestr[128];
+				ast_localtime(&cdr->start, &tm, ast_str_strlen(cdrzone) ? ast_str_buffer(cdrzone) : NULL);
+				ast_strftime(timestr, sizeof(timestr), DATE_FORMAT, &tm);
+				value = ast_strdupa(timestr);
 			} else if (!strcmp(cdrname, "calldate")) {
 				/* Skip calldate - the value has already been dup'd */
 			} else {
diff --git a/configs/samples/cdr_mysql.conf.sample b/configs/samples/cdr_mysql.conf.sample
index 04b7049..fd12b93 100644
--- a/configs/samples/cdr_mysql.conf.sample
+++ b/configs/samples/cdr_mysql.conf.sample
@@ -18,7 +18,8 @@
 ;user=asteriskcdruser
 ;port=3306
 ;sock=/tmp/mysql.sock
-;timezone=UTC ; Previously called usegmtime
+;usegmtime=yes ;log date/time in GMT.  Default is "no"
+;cdrzone=America/New_York ;timezone to log CDRs. By default the current system timezone is used. 
 ;
 ; If your system's locale differs from mysql database character set,
 ; cdr_mysql can damage non-latin characters in CDR variables. Use this
